"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var index_1 = require("../index");
/**
 * This class is useful for modifying the internal ADAL.js implementation of the OAuth2TokenProvider.
 */
var MockAadHttpClientFactory = /** @class */ (function (_super) {
    tslib_1.__extends(MockAadHttpClientFactory, _super);
    function MockAadHttpClientFactory(serviceScope, tokenProvider) {
        var _this = _super.call(this, serviceScope) || this;
        _this._mockServiceScope = serviceScope;
        _this._tokenProvider = tokenProvider;
        return _this;
    }
    /**
     * Returns an instance of the AadHttpClient that communicates with the current tenant's configurable
     * Service Principal.
     * @param resourceEndpoint - The target AAD application's resource endpoint.
     */
    MockAadHttpClientFactory.prototype.getClient = function (resourceEndpoint) {
        return Promise.resolve(new index_1.AadHttpClient(this._mockServiceScope, resourceEndpoint, { tokenProvider: this._tokenProvider }));
    };
    /**
     * Returns an instance of the AadHttpClient that communicates with the preconfigured
     * Service Principal.
     * @param resourceEndpoint - The target AAD application's resource endpoint.
     * @internal
     */
    MockAadHttpClientFactory.prototype._getStandardClient = function (resourceEndpoint) {
        return Promise.resolve(new index_1.AadHttpClient(this._mockServiceScope, resourceEndpoint, {
            configuration: index_1._AadTokenProviders.preAuthorizedConfiguration,
            tokenProvider: this._tokenProvider
        }));
    };
    return MockAadHttpClientFactory;
}(index_1.AadHttpClientFactory));
exports.default = MockAadHttpClientFactory;
//# sourceMappingURL=MockAadHttpClientFactory.js.map